#set output 'figFullRaster.gif'
#set terminal gif

set output 'figFullRaster.tex'
set terminal latex
set terminal epslatex color
set origin -0.07, -0.1

set palette color


set xlabel "Time ms."
set ylabel "Neurons Spiking"


set title "Neurons Spiking For CABot4 Agent"

set arrow front from 0,820 to 30000,820 nohead #it's actual data top of parse
set arrow front from 0,1174 to 30000,1174 nohead #top of plan
set arrow front from 0,1677 to 30000,1677 nohead #top of generator

plot 'fullSpikes.txt' using 2:1 notitle with dots

