#
import sys

def addFile(writeFileHandle,readFileName,offset ):
        fileHandle = open(readFileName,'r')
        line = fileHandle.readline()
        while (line):
                #print(line)
                components = line.split()
                neuron = int(components[0])
                time = components[1]
                neuron = neuron+offset
                neuron = str(neuron)
                outputString = neuron+" "+ time +"\n"
                writeFileHandle.write(outputString)
                
                line = fileHandle.readline()
        fileHandle.close()


#--main
writeFileHandle = open("fullSpikes.txt",'w')
totalNeurons = 0
#parser 
addFile(writeFileHandle,"fullSpikes/parseState.sp",totalNeurons)
totalNeurons += 590
addFile(writeFileHandle,"fullSpikes/parseWord.sp",totalNeurons)
totalNeurons += 230
print ("parser " + str(totalNeurons))

#cognitive map
addFile(writeFileHandle,"fullSpikes/planAction.sp",totalNeurons)
totalNeurons += 4
addFile(writeFileHandle,"fullSpikes/planFact.sp",totalNeurons)
totalNeurons += 10
addFile(writeFileHandle,"fullSpikes/planModule.sp",totalNeurons)
totalNeurons += 80
addFile(writeFileHandle,"fullSpikes/planGoal.sp",totalNeurons)
totalNeurons += 60
#missing reset
addFile(writeFileHandle,"fullSpikes/planForwardLeftTimer.sp",totalNeurons)
totalNeurons += 100
addFile(writeFileHandle,"fullSpikes/planForwardRightTimer.sp",totalNeurons)
totalNeurons += 100
print ("cogmap " + str(totalNeurons))

#generator
addFile(writeFileHandle,"fullSpikes/genWords.sp",totalNeurons)
totalNeurons += 23
addFile(writeFileHandle,"fullSpikes/genSentence.sp",totalNeurons)
totalNeurons += 480
#missing phrase
print ("generator " + str(totalNeurons))

#cogmap
addFile(writeFileHandle,"fullSpikes/cmPlaceBind.sp",totalNeurons)
totalNeurons += 40
addFile(writeFileHandle,"fullSpikes/cmObjectBind.sp",totalNeurons)
totalNeurons += 20
addFile(writeFileHandle,"fullSpikes/cmAnswerPlace.sp",totalNeurons)
totalNeurons += 40
addFile(writeFileHandle,"fullSpikes/cmAnswerObject.sp",totalNeurons)
totalNeurons += 20
addFile(writeFileHandle,"fullSpikes/cmQueryOnPlace.sp",totalNeurons)
totalNeurons += 40
addFile(writeFileHandle,"fullSpikes/cmQueryOnObject.sp",totalNeurons)
totalNeurons += 20
addFile(writeFileHandle,"fullSpikes/cmPlaceBindOn.sp",totalNeurons)
totalNeurons += 40
addFile(writeFileHandle,"fullSpikes/cmObjectBindOn.sp",totalNeurons)
totalNeurons += 20
addFile(writeFileHandle,"fullSpikes/cmPlaceBindDone.sp",totalNeurons)
totalNeurons += 40
addFile(writeFileHandle,"fullSpikes/cmObjectBindDone.sp",totalNeurons)
totalNeurons += 20
addFile(writeFileHandle,"fullSpikes/cmTryToBindTimer.sp",totalNeurons)
totalNeurons += 100
addFile(writeFileHandle,"fullSpikes/cmBindingTimer.sp",totalNeurons)
totalNeurons += 100
addFile(writeFileHandle,"fullSpikes/cmBindDoneTimer.sp",totalNeurons)
totalNeurons += 70
addFile(writeFileHandle,"fullSpikes/cmAutomaton.sp",totalNeurons)
totalNeurons += 180
addFile(writeFileHandle,"fullSpikes/cmUnbindTimer.sp",totalNeurons)
totalNeurons += 2570

writeFileHandle.close()

print (totalNeurons)
    
