#set output 'figSimpleRaster.gif'
#set terminal gif
set output 'figSimpleRaster.tex'
set terminal latex
set terminal epslatex color
set origin -0.07, -0.1

set palette color


set xlabel "Time ms."
set ylabel "Neurons Spiking"


set title "Neurons Spiking For CABot4 Agent"

set arrow front from 0,550 to 3000,550 nohead #it's actual data top of parse
set arrow front from 0,904 to 3000,904 nohead #top of plan
set arrow front from 0,1264 to 3000,1264 nohead #top of generator

plot 'simpleSpikes.txt' using 2:1 notitle with dots

