#
import sys

def addFile(writeFileHandle,readFileName,offset ):
        fileHandle = open(readFileName,'r')
        line = fileHandle.readline()
        while (line):
                #print(line)
                components = line.split()
                neuron = int(components[0])
                time = components[1]
                neuron = neuron+offset
                neuron = str(neuron)
                outputString = neuron+" "+ time +"\n"
                writeFileHandle.write(outputString)
                
                line = fileHandle.readline()
        fileHandle.close()


#--main
writeFileHandle = open("spikes.txt",'w')
totalNeurons = 0
#parser
addFile(writeFileHandle,"spikes/parseState.sp",totalNeurons)
totalNeurons += 340
addFile(writeFileHandle,"spikes/parseWord.sp",totalNeurons)
totalNeurons += 210
print ("parser " + str(totalNeurons))

#cognitive map
addFile(writeFileHandle,"spikes/planAction.sp",totalNeurons)
totalNeurons += 4
addFile(writeFileHandle,"spikes/planFact.sp",totalNeurons)
totalNeurons += 10
addFile(writeFileHandle,"spikes/planModule.sp",totalNeurons)
totalNeurons += 80
addFile(writeFileHandle,"spikes/planGoal.sp",totalNeurons)
totalNeurons += 60
#missing reset
addFile(writeFileHandle,"spikes/forwardLeftTimer.sp",totalNeurons)
totalNeurons += 100
addFile(writeFileHandle,"spikes/forwardRightTimer.sp",totalNeurons)
totalNeurons += 100
print ("cogmap " + str(totalNeurons))

#generator
addFile(writeFileHandle,"spikes/genWords.sp",totalNeurons)
totalNeurons += 20
addFile(writeFileHandle,"spikes/genSentence.sp",totalNeurons)
totalNeurons += 340
#missing phrase
print ("generator " + str(totalNeurons))

#cogmap
addFile(writeFileHandle,"spikes/cmPlaceBind.sp",totalNeurons)
totalNeurons += 40
addFile(writeFileHandle,"spikes/cmObjectBind.sp",totalNeurons)
totalNeurons += 20
addFile(writeFileHandle,"spikes/cmAnswerPlace.sp",totalNeurons)
totalNeurons += 40
addFile(writeFileHandle,"spikes/cmAnswerObject.sp",totalNeurons)
totalNeurons += 20
addFile(writeFileHandle,"spikes/cmQueryOnPlace.sp",totalNeurons)
totalNeurons += 40
addFile(writeFileHandle,"spikes/cmQueryOnObject.sp",totalNeurons)
totalNeurons += 20
addFile(writeFileHandle,"spikes/cmPlaceBindOn.sp",totalNeurons)
totalNeurons += 40
addFile(writeFileHandle,"spikes/cmObjectBindOn.sp",totalNeurons)
totalNeurons += 20
addFile(writeFileHandle,"spikes/cmPlaceBindDone.sp",totalNeurons)
totalNeurons += 40
addFile(writeFileHandle,"spikes/cmObjectBindDone.sp",totalNeurons)
totalNeurons += 20
addFile(writeFileHandle,"spikes/cmTryToBindTimer.sp",totalNeurons)
totalNeurons += 100
addFile(writeFileHandle,"spikes/cmBindingTimer.sp",totalNeurons)
totalNeurons += 100
addFile(writeFileHandle,"spikes/cmBindDoneTimer.sp",totalNeurons)
totalNeurons += 70

addFile(writeFileHandle,"spikes/cmAutomaton.sp",totalNeurons)

totalNeurons += 200

writeFileHandle.close()

print (totalNeurons)
    
